
void DMXupdate() // Will only transmit if previous packet has finished.
{
  if (Serial3.availableForWrite() == serial3TXbuffersizeminus1) // Is serial3 buffer empty?
  {
    Serial3.begin(83333, SERIAL_8N1);
    Serial3.write(0);
    Serial3.flush();
    Serial3.begin(250000, SERIAL_8N2);
    Serial3.write(buffer, sizeof(buffer));
    // Avoid 2nd Serial3.flush() to free up processor for other operations.
  }
}


void DMXset(unsigned int channel, byte value)
{
  if (channel > 0 && channel < sizeof(buffer))
  {
    buffer[channel] = value;
  }
}
